=== debian/changelog ===
ros-kinetic-dynamixel-sdk-examples (3.7.51-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Will Son <willson@robotis.com>  Thu, 15 Apr 2021 04:31:04 -0000
